TBBNMerchantDocs
Available

ApiKeys

post/v1/api-keys

Create an API key (ADMIN/OWNER only; production keys require ADMIN+ approval)

curl -X POST https://api.tbbnetwork.com/v1/api-keys \
  -H "Authorization: Bearer <session access token>" \
  -H "Idempotency-Key: 5f2f...b91" \
  -H "Content-Type: application/json" \
  -d '{
  "environment": "SANDBOX",
  "scopes": [
    "value"
  ]
}'

Parameters

Request body

FieldTypeRequired
environmentSANDBOX | PRODUCTIONyes
scopesstring[]yes

Response (201)

FieldTypeRequired
idstring (uuid)—
merchantIdstring (uuid)—
keyPrefixstring—
scopesstring[]—
environmentSANDBOX | PRODUCTION—
statusACTIVE | ROTATED | REVOKED—
createdAtstring (date-time)—
expiresAtstring,null (date-time)—
fullKeystring—
Example 201 response
{
  "id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
  "merchantId": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
  "keyPrefix": "keyPrefix",
  "scopes": [
    "value"
  ],
  "environment": "SANDBOX",
  "status": "ACTIVE",
  "createdAt": "2026-07-01T12:00:00Z",
  "expiresAt": "2026-07-01T12:00:00Z",
  "fullKey": "fullKey"
}
get/v1/api-keys

List API keys (never returns the full key, only the prefix)

curl -X GET https://api.tbbnetwork.com/v1/api-keys \
  -H "Authorization: Bearer <session access token>" \

Parameters

Response (200)

FieldTypeRequired
dataobject[]—
nextCursorstringnull—
Example 200 response
{
  "data": [
    {
      "id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
      "merchantId": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
      "keyPrefix": "keyPrefix",
      "scopes": [],
      "environment": "SANDBOX",
      "status": "ACTIVE",
      "createdAt": "2026-07-01T12:00:00Z",
      "expiresAt": "2026-07-01T12:00:00Z"
    }
  ],
  "nextCursor": null
}
post/v1/api-keys/{id}/rotate

Rotate a key (old key marked ROTATED, still valid for a grace window)

curl -X POST https://api.tbbnetwork.com/v1/api-keys/{id}/rotate \
  -H "Authorization: Bearer <session access token>" \
  -H "Idempotency-Key: 5f2f...b91" \

Parameters

idpathrequired

Response (200)

FieldTypeRequired
idstring (uuid)—
merchantIdstring (uuid)—
keyPrefixstring—
scopesstring[]—
environmentSANDBOX | PRODUCTION—
statusACTIVE | ROTATED | REVOKED—
createdAtstring (date-time)—
expiresAtstring,null (date-time)—
fullKeystring—
Example 200 response
{
  "id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
  "merchantId": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
  "keyPrefix": "keyPrefix",
  "scopes": [
    "value"
  ],
  "environment": "SANDBOX",
  "status": "ACTIVE",
  "createdAt": "2026-07-01T12:00:00Z",
  "expiresAt": "2026-07-01T12:00:00Z",
  "fullKey": "fullKey"
}
delete/v1/api-keys/{id}

Revoke a key immediately

curl -X DELETE https://api.tbbnetwork.com/v1/api-keys/{id} \
  -H "Authorization: Bearer <session access token>" \
  -H "Idempotency-Key: 5f2f...b91" \

Parameters

idpathrequired